INTERFACE
SUBROUTINE KERNEL_PBP_TL(kis, ppsl, pbetal, pbetald, pxpl, pbp, pbpd)
 USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE rt6svalues
 INTEGER(KIND=JPIM), INTENT(IN) :: kis
 REAL(KIND=JPRB), INTENT(IN) :: pbetal(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(IN) :: pbetald(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(IN) :: ppsl(0:knang, -1:knang, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(OUT) :: pxpl(-kmu:kmu)
 REAL(KIND=JPRB), INTENT(OUT) :: pbp(0:knt, 0:kmu, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(OUT) :: pbpd(0:knt, 0:kmu, -kmu:kmu)
END SUBROUTINE KERNEL_PBP_TL
END INTERFACE
